#!/bin/sh
#------------------------------------------------------------------------------
# /usr/bin/dyndns-login.sh - Web site login for DynDNS-providers
# part of Package DYNDNS 3.10.5, see documentation for licence
#
# Copyright 2014 The fli4l Team
#
# Last Update: $Id: dyndns-login.sh 29431 2014-01-27 21:55:13Z kristov $
#------------------------------------------------------------------------------

while read host provider circuits user pass rest
do
    provider_file=/etc/dyndns/provider.$provider
    [ -f $provider_file ] || continue

    unset provider_login
    . $provider_file
    [ "$provider_login" = "yes" ] || continue

    logger -p daemon.info -t dyndns "Login attempt for provider $provider and user $user"
    provider_${provider}_login "$user" "$pass"
    rc=$?
    if [ $rc -eq 0 ]
    then
        logger -p daemon.info -t dyndns "Login successful for provider $provider and user $user"
    else
        logger -p daemon.err -t dyndns "Login failed for provider $provider and user $user with error code $rc"
    fi
done < /etc/dyndns/dyndns.conf
